## neverball 1.5.5-1

=== debian/changelog ===
neverball (1.5.5-1) unstable; urgency=low

  * Initial release

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed,  10 Jul 2011 19:28:12 +0300

=== debian/control ===
Source: neverball
Architecture: armel
Section: user/games
Priority: optional
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper (>= 5),
 libgles1-sgx-img-dev | libgl-dev,
 libosso-dev,
 libphysfs-dev,
 libsdl1.2-dev, libsdl-gles1.2-dev, libsdl-ttf2.0-dev,
 libvorbis-dev, libpng12-dev, libjpeg62-dev,
 opengles-sgx-img-common-dev [arm armel]
Standards-Version: 3.7.2

Package: neverball
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgles1-sgx-img, opengles-sgx-img-common,
 neverball-data (= ${source:Version})
Suggests: neverputt
Description: 3D floor-tilting game
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.

Package: neverball-data
Architecture: armel
Depends: neverball-common (= ${source:Version})
Recommends: neverball
Description: data files for Neverball
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the data files needed to play Neverball.

Package: neverball-common
Architecture: armel
Description: data files for Neverball and Neverputt
 The engine of the floor-tilting game Neverball is also used by its spin-off,
 a miniature golf game known as Neverputt.
 .
 This package contains the data files shared between Neverball and Neverputt.

Package: neverputt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgles1-sgx-img, opengles-sgx-img-common,
 neverputt-data (= ${source:Version})
Suggests: neverball
Description: 3D miniature golf game
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.

Package: neverputt-data
Architecture: armel
Depends: neverball-common (= ${source:Version})
Recommends: neverputt (>= 1.4.0+svn2527-1)
Description: data files for Neverputt
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.
 .
 This package contains the data files needed to play Neverputt.

Package: neverball-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: neverball (= ${binary:Version}) | neverputt (= ${binary:Version})
Description: debugging information for Neverball and Neverputt
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the debugging information for Neverball and Neverputt.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the sample rules file written by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif


build: build-stamp
build-stamp:
	dh_testdir
	# Set HOME to an existent directory as a workaround for #544835. Note that
	# HOME isn't actually used, but some buildds set it to a non-existent
	# directory, and PhysicsFS currently fails if the directory doesn't exist
	# (see #553174).
	$(MAKE) $(MAKEFLAGS) \
		DATADIR=/usr/share/games/neverball \
		LOCALEDIR=/usr/share/locale \
	        HOME=$(CURDIR)
	# Rename icons for .desktop files.
	cp dist/neverball_128.png dist/neverball.png
	cp dist/neverputt_128.png dist/neverputt.png
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f dist/neverball.png dist/neverputt.png
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a CHANGES
#	dh_installman -a
#	dh_installmenu -a
	dh_strip -a --dbg-package=neverball-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## neverball 1.5.5-2

=== Makefile ===

#------------------------------------------------------------------------------

BUILD := $(shell head -n1 BUILD 2> /dev/null || echo release)

ifeq ($(BUILD),release)
    VERSION := 1.5.5
else
    VERSION := $(shell sh scripts/version.sh)
    ifeq ($(VERSION),unknown)
        VERSION := 1.5.5-dev
    endif
endif

$(info Will make a "$(BUILD)" build of Neverball $(VERSION).)

#------------------------------------------------------------------------------
# Provide a target system hint for the Makefile.
# Recognized PLATFORM values: darwin, mingw, maemo.

ifeq ($(shell uname), Darwin)
    PLATFORM := darwin
endif

ifdef _SBOX_DIR
    PLATFORM := maemo
endif

#------------------------------------------------------------------------------
# Paths (packagers might want to set DATADIR and LOCALEDIR)

USERDIR   := .neverball
DATADIR   := ./data
LOCALEDIR := ./locale

ifeq ($(PLATFORM),mingw)
    USERDIR := Neverball
endif

ifneq ($(BUILD),release)
    USERDIR := $(USERDIR)-dev
endif

#------------------------------------------------------------------------------
# Optional flags (CFLAGS, CPPFLAGS, ...)

ifeq ($(DEBUG),1)
    CFLAGS   := -g
    CPPFLAGS :=
else
    CFLAGS   := -O2
    CPPFLAGS := -DNDEBUG
endif

#------------------------------------------------------------------------------
# Mandatory flags

# Compiler...

ifeq ($(ENABLE_TILT),wii)
    # -std=c99 because we need isnormal and -fms-extensions because
    # libwiimote headers make heavy use of the "unnamed fields" GCC
    # extension.

    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions $(CFLAGS)
else
    ALL_CFLAGS := -Wall -ansi -pedantic $(CFLAGS)
endif

# Preprocessor...

SDL_CPPFLAGS := $(shell sdl-config --cflags) -U_GNU_SOURCE
PNG_CPPFLAGS := $(shell libpng-config --cflags)

ALL_CPPFLAGS := $(SDL_CPPFLAGS) $(PNG_CPPFLAGS) -Ishare \
    -DVERSION=\"$(VERSION)\"

ALL_CPPFLAGS += \
    -DCONFIG_USER=\"$(USERDIR)\" \
    -DCONFIG_DATA=\"$(DATADIR)\" \
    -DCONFIG_LOCALE=\"$(LOCALEDIR)\"

ifeq ($(ENABLE_NLS),0)
    ALL_CPPFLAGS += -DENABLE_NLS=0
else
    ALL_CPPFLAGS += -DENABLE_NLS=1
endif

ifeq ($(PLATFORM),darwin)
    ALL_CPPFLAGS += -I/opt/local/include
endif

ifeq ($(PLATFORM),maemo)
    ALL_CPPFLAGS += -D__MAEMO__ $(shell pkg-config --cflags libosso)
endif

ALL_CPPFLAGS += $(CPPFLAGS)

#------------------------------------------------------------------------------
# Libraries

SDL_LIBS := $(shell sdl-config --libs)
PNG_LIBS := $(shell libpng-config --libs)

ifeq ($(ENABLE_FS),stdio)
FS_LIBS :=
else
FS_LIBS := -lphysfs
endif

# The  non-conditionalised values  below  are specific  to the  native
# system. The native system of this Makefile is Linux (or GNU+Linux if
# you prefer). Please be sure to  override ALL of them for each target
# system in the conditional parts below.

INTL_LIBS :=

ifeq ($(ENABLE_TILT),wii)
    TILT_LIBS := -lcwiimote -lbluetooth
else
ifeq ($(ENABLE_TILT),loop)
    TILT_LIBS := -lusb-1.0 -lfreespace
endif
endif

OGL_LIBS := -lGL -lm

ifeq ($(PLATFORM),mingw)
    ifneq ($(ENABLE_NLS),0)
        INTL_LIBS := -lintl
    endif

    TILT_LIBS :=
    OGL_LIBS  := -lopengl32 -lm
endif

ifeq ($(PLATFORM),darwin)
    ifneq ($(ENABLE_NLS),0)
        INTL_LIBS := -lintl
    endif

    TILT_LIBS :=
    OGL_LIBS  := -framework OpenGL
endif

ifeq ($(PLATFORM),maemo)
    OGL_LIBS := -lm -lSDL_gles -lEGL -lGLES_CM
endif

BASE_LIBS := -ljpeg $(PNG_LIBS) $(FS_LIBS)

ifeq ($(PLATFORM),darwin)
    BASE_LIBS += -L/opt/local/lib
endif

ifeq ($(PLATFORM),maemo)
    BASE_LIBS += $(shell pkg-config --libs libosso)
endif

ALL_LIBS := $(SDL_LIBS) $(BASE_LIBS) $(TILT_LIBS) $(INTL_LIBS) -lSDL_ttf \
    -lvorbisfile $(OGL_LIBS)

#------------------------------------------------------------------------------

ifeq ($(PLATFORM),mingw)
    EXT := .exe
endif

MAPC_TARG := mapc$(EXT)
BALL_TARG := neverball$(EXT)
PUTT_TARG := neverputt$(EXT)

ifeq ($(PLATFORM),mingw)
    MAPC := $(WINE) ./$(MAPC_TARG)
else
    MAPC := ./$(MAPC_TARG)
endif


#------------------------------------------------------------------------------

MAPC_OBJS := \
	share/vec3.o        \
	share/base_image.o  \
	share/solid_base.o  \
	share/binary.o      \
	share/base_config.o \
	share/common.o      \
	share/fs_common.o   \
	share/fs_png.o      \
	share/fs_jpg.o      \
	share/dir.o         \
	share/array.o       \
	share/list.o        \
	share/mapc.o
BALL_OBJS := \
	share/lang.o        \
	share/st_resol.o    \
	share/vec3.o        \
	share/base_image.o  \
	share/image.o       \
	share/solid_base.o  \
	share/solid_vary.o  \
	share/solid_draw.o  \
	share/solid_cmd.o   \
	share/solid_all.o   \
	share/part.o        \
	share/geom.o        \
	share/item.o        \
	share/ball.o        \
	share/gui.o         \
	share/base_config.o \
	share/config.o      \
	share/video.o       \
	share/glext.o       \
	share/binary.o      \
	share/state.o       \
	share/audio.o       \
	share/text.o        \
	share/common.o      \
	share/keynames.o    \
	share/syswm.o       \
	share/list.o        \
	share/queue.o       \
	share/cmd.o         \
	share/array.o       \
	share/dir.o         \
	share/fs_common.o   \
	share/fs_png.o      \
	share/fs_jpg.o      \
	share/fs_rwops.o    \
	share/fs_ov.o       \
	share/sync.o        \
	ball/hud.o          \
	ball/game_common.o  \
	ball/game_client.o  \
	ball/game_server.o  \
	ball/game_proxy.o   \
	ball/game_draw.o    \
	ball/score.o        \
	ball/level.o        \
	ball/progress.o     \
	ball/set.o          \
	ball/demo.o         \
	ball/demo_dir.o     \
	ball/util.o         \
	ball/speed.o        \
	ball/st_conf.o      \
	ball/st_demo.o      \
	ball/st_save.o      \
	ball/st_goal.o      \
	ball/st_fail.o      \
	ball/st_done.o      \
	ball/st_level.o     \
	ball/st_over.o      \
	ball/st_play.o      \
	ball/st_set.o       \
	ball/st_start.o     \
	ball/st_title.o     \
	ball/st_help.o      \
	ball/st_name.o      \
	ball/st_shared.o    \
	ball/st_pause.o     \
	ball/st_ball.o      \
	ball/main.o
PUTT_OBJS := \
	share/lang.o        \
	share/st_resol.o    \
	share/vec3.o        \
	share/base_image.o  \
	share/image.o       \
	share/solid_base.o  \
	share/solid_vary.o  \
	share/solid_draw.o  \
	share/solid_cmd.o   \
	share/solid_all.o   \
	share/part.o        \
	share/geom.o        \
	share/ball.o        \
	share/base_config.o \
	share/config.o      \
	share/video.o       \
	share/glext.o       \
	share/binary.o      \
	share/audio.o       \
	share/state.o       \
	share/gui.o         \
	share/text.o        \
	share/common.o      \
	share/syswm.o       \
	share/list.o        \
	share/fs_common.o   \
	share/fs_png.o      \
	share/fs_jpg.o      \
	share/fs_rwops.o    \
	share/fs_ov.o       \
	share/dir.o         \
	share/array.o       \
	share/sync.o        \
	putt/hud.o          \
	putt/game.o         \
	putt/hole.o         \
	putt/course.o       \
	putt/st_all.o       \
	putt/st_conf.o      \
	putt/main.o

BALL_OBJS += share/solid_sim_sol.o
PUTT_OBJS += share/solid_sim_sol.o

ifeq ($(ENABLE_FS),stdio)
BALL_OBJS += share/fs_stdio.o
PUTT_OBJS += share/fs_stdio.o
MAPC_OBJS += share/fs_stdio.o
else
BALL_OBJS += share/fs_physfs.o
PUTT_OBJS += share/fs_physfs.o
MAPC_OBJS += share/fs_physfs.o
endif

ifeq ($(ENABLE_TILT),wii)
BALL_OBJS += share/tilt_wii.o
else
ifeq ($(ENABLE_TILT),loop)
BALL_OBJS += share/tilt_loop.o
else
ifeq ($(PLATFORM),maemo)
BALL_OBJS += share/tilt_maemo.o
BALL_OBJS += share/maemo.o
else
BALL_OBJS += share/tilt_null.o
endif
endif
endif

ifeq ($(PLATFORM),mingw)
BALL_OBJS += neverball.ico.o
PUTT_OBJS += neverputt.ico.o
endif

BALL_DEPS := $(BALL_OBJS:.o=.d)
PUTT_DEPS := $(PUTT_OBJS:.o=.d)
MAPC_DEPS := $(MAPC_OBJS:.o=.d)

MAPS := $(shell find data -name "*.map" \! -name "*.autosave.map")
SOLS := $(MAPS:%.map=%.sol)

DESKTOPS := $(basename $(wildcard dist/*.desktop.in))

#------------------------------------------------------------------------------

%.o : %.c
	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) -MM -MP -MF $*.d -MT "$@" $<
	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) -o $@ -c $<

%.sol : %.map $(MAPC_TARG)
	$(MAPC) $< data

%.desktop : %.desktop.in
	sh scripts/translate-desktop.sh < $< > $@

%.ico.o: dist/ico/%.ico
	echo "1 ICON \"$<\"" | $(WINDRES) -o $@

#------------------------------------------------------------------------------

all : $(BALL_TARG) $(PUTT_TARG) $(MAPC_TARG) sols locales desktops

$(BALL_TARG) : $(BALL_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(BALL_TARG) $(BALL_OBJS) $(LDFLAGS) $(ALL_LIBS)

$(PUTT_TARG) : $(PUTT_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(PUTT_TARG) $(PUTT_OBJS) $(LDFLAGS) $(ALL_LIBS)

$(MAPC_TARG) : $(MAPC_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(MAPC_TARG) $(MAPC_OBJS) $(LDFLAGS) $(BASE_LIBS)

# Work around some extremely helpful sdl-config scripts.

ifeq ($(PLATFORM),mingw)
$(MAPC_TARG) : ALL_CPPFLAGS := $(ALL_CPPFLAGS) -Umain
endif

sols : $(SOLS)

locales :
ifneq ($(ENABLE_NLS),0)
	$(MAKE) -C po
endif

desktops : $(DESKTOPS)

clean-src :
	$(RM) $(BALL_TARG) $(BALL_OBJS) $(BALL_DEPS)
	$(RM) $(PUTT_TARG) $(PUTT_OBJS) $(PUTT_DEPS)
	$(RM) $(MAPC_TARG) $(MAPC_OBJS) $(MAPC_DEPS)

clean : clean-src
	$(RM) $(SOLS)
	$(RM) $(DESKTOPS)
	$(MAKE) -C po clean

test : all
	./neverball

TAGS :
	$(RM) $@
	find . -name '*.[ch]' | xargs etags -a

#------------------------------------------------------------------------------

.PHONY : all sols locales clean-src clean test TAGS

-include $(BALL_DEPS) $(PUTT_DEPS) $(MAPC_DEPS)

#------------------------------------------------------------------------------

ifeq ($(PLATFORM),mingw)

#------------------------------------------------------------------------------

INSTALLER := ../neverball-$(VERSION)-setup.exe

MAKENSIS := makensis
MAKENSIS_FLAGS := -DVERSION=$(VERSION) -DOUTFILE=$(INSTALLER)

TODOS   := todos
FROMDOS := fromdos

CP := cp

TEXT_DOCS := \
	doc/AUTHORS \
	doc/MANUAL  \
	CHANGES     \
	COPYING     \
	README

TXT_DOCS := $(TEXT_DOCS:%=%.txt)

#------------------------------------------------------------------------------

.PHONY: setup
setup: $(INSTALLER)

$(INSTALLER): install-dlls convert-text-files all contrib
	$(MAKENSIS) $(MAKENSIS_FLAGS) -nocd scripts/neverball.nsi

$(INSTALLER): LDFLAGS := -s $(LDFLAGS)

.PHONY: clean-setup
clean-setup: clean
	$(RM) install-dlls.sh *.dll $(TXT_DOCS)
	find data -name "*.txt" -exec $(FROMDOS) {} \;
	$(MAKE) -C contrib EXT=$(EXT) clean

#------------------------------------------------------------------------------

.PHONY: install-dlls
install-dlls: install-dlls.sh
	sh $<

install-dlls.sh: $(MAPC_TARG) $(BALL_TARG) $(PUTT_TARG)
	mingw-list-dlls --format=shell $^ > $@

#------------------------------------------------------------------------------

.PHONY: convert-text-files
convert-text-files: $(TXT_DOCS)
	find data -name "*.txt" -exec $(TODOS) {} \;

%.txt: %
	$(CP) $< $@
	$(TODOS) $@

#------------------------------------------------------------------------------

.PHONY: contrib
contrib:
	$(MAKE) -C contrib EXT=$(EXT)

#------------------------------------------------------------------------------

endif

#------------------------------------------------------------------------------

=== debian/changelog ===
neverball (1.5.5-2) unstable; urgency=low

  * Fix packaging.
  * Add touchscreen controls to neverputt.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed, 13 Jul 2011 12:05:45 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: neverball
-Architecture: armel
 Section: user/games
 Priority: optional
 Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
@@ -24,6 +23,55 @@
  bridges, navigate mazes, ride moving platforms, and dodge pushers and
  shovers to get to the goal. Race against the clock to collect coins to earn
  extra balls.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAB5xJREFUWIWVl0uPXEcVx39V
+ t+6re6bn7XEcO7YhRCa2F1kA4guwgkWkbLxBERsCm0j5AEgBsc2GHQtAfAmQ
+ ssmCRQJIBoQcYiwzsWcmnp5Hd08/7qtuFYuqe7tnMrGhSjPVfR/nf57/c1qs
+ cHZJQiQhIZoAi0ATrtWvijfUG+oK6VPqTO6L+9znEQOLwP1JwGIR5+QpXryu
+ 8N3o2/J2+A21YWOBKDi21/g6fxYfs/eil8XzLJDYb4Vvp99Lb3RUQkKM5k/M
+ MBhAarPDh/K39i/Ps+ArART1a9F7yz9cSVdZZYttNllB8HeGnLDHUw4pEdSZ
+ /b34gIf/J4AifHvpZ5s3t1jnCl/jMivERBgek1Mw5YCH/IN9DCX6P/w8+N3F
+ AEFyHpEAm6YfbP7i2voNrnKL22zTJSQiJiSjpkYTsM5LwACFWKt/YDblR2j+
+ FwC5tPybyz+6KW+wzXWukRKSEBETo5hSodEUZBhWMZyiQNbfsa/KP9ryhQC2
+ s/rrq/ducJ11NtkmISIhIkKhsOyTU1JQUpCTEzOlIESi75ib/EFUzwUwrPzy
+ 6jvXuc4GXdZZIvaahwRIah4zJScj97tCM0EiAH3XRPLD8zE9s5beuvTuy1xl
+ nQ4dEhSh110hCYARQ8ZMyci9HYIQRUxKgnjXviVY3AsAFrG99v5L0RXW6ZCS
+ Ei7sgACJYMyIMWPGzMgpKCgRBCgXqci+z/YZCxTzvfSTrdcvs0GHhJh4QbTb
+ CsmIobfB7YzMa6qISAher396xgJJs4OX197ZYJMuCTEJHe/7EEWIIkAhGDFg
+ xIhTxkyYMqZEIrwVMRH82L68YEGDBMm9te0Nln3OxD7vnW1Of4Vk7MU7gDEF
+ wisIASERctvcmwOooMmfuPPmCmukXuOYDl06pCQkKM+KFXscElCj0WhXNz6H
+ GoiQ8k1+RXEOQN7t3FqiQ0TCMit0SRBMGDAlY8aUAk3N96nQZN6KoQ92hfWe
+ UISUt8xd/uoBKp9B8Z3O2hordKn5gn8x5JhjRkyZotEYLCXbfETHq1QxY8QR
+ fZ7yObvscsiEAotYs3dkAxD6Aktud0TOPzliwISMGutzQxISIYCKHhkdagwW
+ g2KVHlf5JhOG9Nlnh894yJ7Qt9sYlO4U42uf8hmCoI2BOEdc7rvwfq+xWGpP
+ GAWWLldY5Sav8QmPrmkhLIA6dW8ndjmmRwflC0oAlrPsuHhNIDEIpH8eDJoK
+ TcQWw+VZIjMA5UtZ2SjwZW358pK+6IMWcH7OnxftFRPWgfWC8UEwnHu1WQEC
+ 5XVNvnT3InXAWuFvKP9CZbOLXpHeZQEBLsubJyzWn81ni8Fi0VTYjMpJVrk7
+ SnlsqL3wZhAJCAi9lwMkuh1CTCvSUGPOnTWz45PSpY9ynikJH9pWK+co5flH
+ eSiJJAKg9j41CyK1B9DklMweTrwc1cSlflAXdWy8wbTiwzMAYat57cU2u/Lf
+ S2bMivwBPv4S1+el/bR+5h6y4EU2ND7vCgqLboVXC7v2Z8aE8bP8AdKlnPTe
+ 6Nmh+Zsz1Hp+lwQLPBqgiAi9tvNd+g5dUlFROLa9r0f0UA7AFW+PLf2xtiU1
+ rogaEg48TOiddV504RtnSUXJjAFDe/IJW/QICRASiSJliVfMoNop0b4gXLUK
+ n/9hG/CKoqWHfGGXFGQMOOZwZzbgFZZIUUiJQJHQY4tL+lFlSvSZ2mwYqAn0
+ XGxGRuYnDHf1lAP65uDfXGKLHgkKoZAoYrqssm1MNSg2YmKihXQVnpscUI6g
+ 8rxTttbkZJxywAH7g5llmwFdYhRS+RjEpCyzpKflah5ERG1CzqvDUd0MswDQ
+ QGSM6bPHXn0wZYllUmIXg6Y0HSUqS5GppcB7vG5LyeW+A3C5phcCnTHmGU/Y
+ 42lW0xKXLzT3buWzTJsyK2Tskkt4v9dt362ZUPpKaGxw2j9hl8dFVqIpvDSD
+ xSrPThljPygkOphIwnlwHYD7ppmgqLFtPWSMeMYX7LJTTXJyJl5SRoV2ADUZ
+ Ewb0WSElgNpOYhMbqX1dN1GQaKYoX8kVBTNO6HPAvtkt8oIZA47o05/33cCz
+ smyZWTo+r2ot66Cpbeu7MPSomDFjzNCFlV12yr1pNWPMCX32eMIT9jhiTE6t
+ fGMdc0SExFKRMWPFdrOsTPM0i6Z0Sf0oGbGH8DU74ZQhh+VRVmQUTBlxzAG7
+ fO7FF9TORYaSjAESQ8WMU0ass0K3TidRliad0zhVsYxQROSAJiMzY31anM7K
+ jJKMKSNO6POMffbpMyCjxGAVYADXdzQFU4acsMEqPZZJ62QaTmOVBGEQB4GS
+ e1hT1VVRVFVGRemL4JQhx/Q5pO/HqZwa0/QDiybHeIARx6yzSo8eHTcL61A3
+ 8zttO3Dip0z9kHfCgBNGTMhoGWc+HAgkIQkpXZZYZtlZ0AbAtbY5QKP9tE1x
+ N25n5E0NLAI0ueRm8JiUlJQOiRcf+9bgAFydOa7OyJl55iv8APuVM4rwpBH6
+ 304hMY6YnP7N7yHXfOd0VFFSoakw1JwZTM6POQ1DN7NK09SCli3wTpq3ZXca
+ XzD2vLiLlvADf9M7FxmbtrSNB5oz4QVT2MUAi/fmMy8LAM1/u/D5wvVfnewi
+ dmSMqiAAAAAASUVORK5CYII=
+XSBC-Bugtracker: http://forum.nevercorner.net/
+XSBC-Maemo-Display-Name: Neverball
 
 Package: neverball-data
 Architecture: armel
@@ -58,6 +106,96 @@
  Neverball players, including moving platforms and barriers, teleporters,
  ramps, and drop-offs. A simple putting interface and golf scoring system
  have been added.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAADtdJREFUaN7NWVdsVucZfs/4
+ h7fNbzwYxswQGwNmOJREKUlVojS5aCKkqFGkqm2SFomKqlLvo6p3aW9aqt50
+ qBekF+lNFCUthYSoJEwxzIgBM4yxjbEx3v88o89z/H34+GAMaYnUX3r1nfmd
+ dzzv/A2Z+xcDzYvFYtvefffdH+7evTu5d+/e/K5du/48MjLyqSEyUGJZfpVt
+ 88Eq1zCWG76/wRZpjRvGAs/3i25iA1zPmCJ9uHcGp6c8kSs4H/ZxYqgP8diM
+ fNzjfcOYk0FbHv6LeZ5XOTY21ur7fnlpaamTTCYP4fphfNBP4AP4+EKcb4mL
+ bDYNYw2EWRkzjBQYSBhTTOSwDOG5BvH9ZTg+AToC6pX/8fcwAaiEjOu6XceP
+ Hx+E1ue3tLQkGhsb1/f3979XbJpt82z7+xBie7FhNBb7vp3ECwnTlCSs4mDt
+ 5waeV4o9UlDEKgjwHQjkQBldvufth4B/wiMnv04BsqCejo6Os52dnU3r1q0T
+ 0JpzR4/+uiEW+1ZNLFZagQcqYjGZP3++1C9aJClQxbx5YpSWylrcG5mclOGh
+ Ienp7ZXumzflzuCgXSgUVuDWCtdxfgBB/gpBfoPzzsctAKHpgMb7+vrOnD59
+ +rttbW3JzZs2rfx8796VxM2SZFIa6uulce1aqV+5UipqaiQBxuO47sfjwQey
+ jiP5bFYmIMjt27fl8uXLcvbsWcGeAqskIcyPC/n8C/CZXwKWf/kqAliP8Axh
+ DEU5FXW1tS9s3769GE4p5w4elPnj49IKi7Q884zUNTZKSVmZxBOJgPlEUZHE
+ ioslg3PX9wUQEuwhlmXJPFinHkIDRjI6OiomoGZYVqXreS/jWjU++BkV5z+K
+ E9umObcJfN+BQ9pJz3urs709dbOnRxqXLpXGpiaxwFT9ihUB3i0wFwNDcewX
+ B5NxQMqkIDjPKsZJZBoalziss2bNmuAbtEiMzxuGlc1mf+o5Ti00+yPcmnio
+ BcqhqTgYeBBho+KUZf1hsWW96uRyxhNPPSVrW1rkane3jF67JgvKy6UCmi6i
+ 5sEEGbHBKBUDeEhfLicZUA6Uz+cD4jEYlUwmI4hoMglo8RrfpcZhiWa82wjd
+ /xMXCnMKkLDtOT24SuRXDfH4TxaASRMfjTc0yLPbtskwPtp55IjU4aMpYL6Y
+ eAfTsJbYJGjdgaav4Z1JEBkkw2Q8q865UiDCa2JiIoCSqRDhuG4LBInBKgfm
+ dmLff+DNUt/fUWtZuxdAu/XQ1Ag+dP3MGRm4e1dWPfGEHITDpnEs1dVi4hky
+ Tqcy8JwBwQBQGcX+aVgCsLjHvCZtjSDZ4HkKojFP66UzmZ/5rnsCQvz9K0Wh
+ ICv6fm2VYbxTF48nFgJmKWg4gQ9cu349wCwikaSWL5cxQMmDM1uED5ilL1hg
+ zATzcEwZJ5DBjI/rOQWlsBAaWmScPsKVfkIBIFAc0esdXDiEG7dn49W0lRRR
+ KhXZOd+2m+ug+WowVwaG5kGQ5PCwXIAVinC8BE44jg/lcM0EBCwIEqMwiCz2
+ yIiYuD6KFQkwWMdxj1Ah5kmElCYyriFEQWgR+ocBHlzwYqpSI0q2NUvMhAUW
+ VZnm29R6NagYzCcZXbBpNT587fRpGce6orlZLsCJJ5CkIJFYwLwFKJl0YmoT
+ NIb9RiGkqDDKCESNaydOp9PBORmn5rUgNoMIrQ5CKfA27v2RCfX+MDqLD8AC
+ r1Xadj0FoOaTYCSpGKLTdl66JF03bgThNLlkiYweOiROSYmYFIDhEO9QADJC
+ AUbwDZNODUEoAInQ0cwHUFBRSwtCK2ghcvl8vVsovKay9dw+AHGSqGteqcDL
+ VWCmiOaEVjQRUjf6++Xi+fPSjFxQAxiNffKJWHDmcjCZxAfx9YByeJ7V2iDD
+ HS0AcikIIw+EQAkRWNyk1nXSUlbQPkEoxcBL3nFegV/+XpU20wLMksaaiwxj
+ NWubYiYkFmbYrBxUzJURCdi+cuqUuK++KktRQuyrqJCD0GYVni8wuuAdFnIO
+ nn8ZG+aZicEsirogKtEqgWVwf5xRigWfqll8xfw9KCkhYLHVKDWao4WfXYhE
+ n4RICxivqsSLFaASbMLSoQ80CrqFa2d5/dw5GUJd8+SqVfJblBF/a2+X8qnU
+ LQh91JjU4vQgqCRwrumSgN8k06OgOyCGF/YN3XiGIO/BOkjh8O0cszezuGlW
+ AWItsNZMAWKRxIVyuBkCmBm8dA6bwD1lGOsEKAOiZidhhXKGU/jC1q1bZQ2g
+ dBoWQbkhMdY11DrWcmVvCsB6yFNK8hR2K0FloEWgJtAkrUKBlMK6cHwRayd4
+ 6QVPnus23xdG6UKaYEIDcXtxB146APqERRuIGsqp9owwqoQAYwiVqE4D87Zt
+ 3ixlcOKCckgJdVrhNdx9kVy1r4ZQVglXDKoHrcO3XiQMQa1QSKXvLy7yfQN9
+ h2iyx2ZWe0lsXMYuq0Jhn5qytJMpR6NzMWuiPwhe2rJliyxevDg4Z+y2VDmg
+ GRX1nqkinraCoWK5pdawgIQtoUY/oh9WYwUSytK+nzSn5J3ViW28HLdCm6mK
+ dKbZWPNA8xcuXJBTgA7Py5EPGB4ZChn6iPlYZJ+gbHHd6ePpvHN/Dc9oNDM3
+ UegYBLP8CMPR+s17lEaCAtxEd/XBBx/IJpQVdXV1UoyCTwvgMvFFBWBC00RB
+ uIYYnaurUqsfldcMJJ2mwlQL683QerSp0DBiZkWzL8tRE61fv17K0NAQWrzH
+ DBqDr4gin8UdrrFL4zHX4JxRJgQ3Td7UsGBKbhWGcZ4JeCRvisxIbZHHA0Ma
+ NlqI8LEWgFinoDeQkVnfoNEPemLCiPdtMMnSQxSRaU+tmjwkKJfW4so+QEUq
+ MuypY17DBCAIMji+g0CTd1TOcAI4R4oj6PoyGdNWiOI/YA4fZDGXgGZ70KGR
+ CKGlKC10JcnsSSEMLQAY9UhkXB+Hz7ky55BhjWXFfBb7kSBEp6McXJPphYCv
+ 4vR5MJBj2icjYQvoGoX4J85LEDoJoevICXTi1atXB5ZhnRM8R4gQPtSyYpQr
+ ySFx9EIociXxGmsiQkYJkmdfAF6A6xy0d57ZfIzQVXRfLQQrtIPxPnRTS4nn
+ cJOh+1pNdFqWxdfQWlI49rg1aHKG7txRlaJ9T6uusiidm/VQgbUR+2MSQyZX
+ apnZF+csP/J4Jo1nx0ETrtsLhtsnyFMIFSYrxDDhZg8bCEeVvxpK4Xpdl7vU
+ No97Me/hdGEFGnwKEZTLrPEhZF5rFtovKM3nQQUWaDxWRV9GURrEjDyO79+F
+ JfuxzwDqq2HH+QzUA/5mRBQzC6cLU47lruO8B+ZdQoFO6YcqRC0IVw0lNixD
+ 6AmqqqrkueeekzLAaXBwMNhrAs9mlCAB02RYUVYxPK5K7gE8fwMMd6DxOQWF
+ nMDaDh66HccfcpwLnNOqRG0+aC5kMpFB64Mw81ZYZAktQLiQUV2jk/SIhBDi
+ +YYNG4JwSggNoMg7ha7Nwv2NaPgT1DxhocoF4jitsHwH1urBHhehhHYwfRYC
+ XMF+A6hws9grvmCBlNXXM27XwN8yPhEyXXXM8AFzqpaTemi3LZVKmSk064QD
+ W0H6AjVMrYfzhHZ0WouWwfBXvvf669IJvzgPIf6B99pqa6WKcKNTguk0IHEX
+ jPZj326E4F68O0TrYP8kGK9EPilFgCjGO4xm/EZtbW0rXt/V1dXVh/Xfqqj1
+ wwIwcc6HZl8Eln+OkLiUWqcfECK3bt2Su2hauFkFPkJmyTTvM5zyWVqCbeKy
+ ZcvkrTfflD179sinXV1yCUyyNWVDRMekU45xlII9CpzgIX9QOTWplNSoYwYI
+ bWUqkRDF3k0YTT6L9ayqAT0rBCX08fIUmP/FqlUYmmBssg3znwUwIf2Am5F5
+ OqtmXI8FFy5cKM8//7wswlCXz/Iej6E16YXQfWCgj0Mu1vmw4CSsZIDZSrzX
+ CMdfC8ffBAhyYMaECOvfE0D7HM+ZhhCyx4CIoxzXMyXYodYyBc1+Gxu0tLa2
+ ys6dO4P5JX8s2j7++GM5evRokLRokWF0ZdS4TmArMdgl4xpWhByrVGbnY8eP
+ y8DgYHAvofJHOWBCTTN/0Hqe6pe1cnisw7irchJnqpWVlTUYCpdqR7ZDVW0K
+ N9dTm2+88cY95oMeE9MHWEVOnDghBw4ckHPoxu4g1lOAJWjqd+zYgdlWdQCf
+ 6brNCxhpwCSPVuQ9MqITIo81w4QInw2H7QcVkLCKFy7oZjgxXo5t3LgxYDZc
+ SpP4MrsvRhvW/VevXg2YoHA0ux5ORQtAXWITDsHIEEzyPc20DgIPHZGzG2RS
+ Gx+/pbpRVwug+4u7cJQOaLJt1jmpqo/osPiXJiAK5qiRoT/HiDI0aZtTw3P9
+ VMLMwImPafxza50QCN4hzGn2vf/++1dYXT7oR4b1YEqPBr/uH63HUH748OFj
+ gOLnaqjhRhMZrTB28eLFNCzR9PTTT5ez4tSzymhnFr0WLvhmo2iFq8/nIlpM
+ h+t9+/Z1Hzt2bA/ePRaGUFQAqrP/5MmTfWjYaxFd6uGEhi4hwnj9ugXQsGG0
+ ++ijj27s37//d7i+H5cH1AzivlJCDwoYSnrgpBc//PDDdHd3N6LXvErGdBUF
+ 7jHwOAXQ17WyGLXwP1oBkD4C6FDz/8Jnbin+/Oj0IzrfjavEFkw3kFi+iaT2
+ jZdeemkVIlGcoZHw0ozrmK1XHV10xNGkz8P39DH9irNS/gn45Zdf5r/44osL
+ 7e3tB3CNWu9gkAnXQHMJELZOQs2lqkHLQWuQYdcilD6JZLe4qampBMIkmaxY
+ AzEh6UpVYzjMvJ5Ma2bZDBEiKFMKqHHSly5dugUf7ECyPIHn+a/+FTVaTatA
+ 482m7Yf9Q2mpmVZSWaVCWWYRElkDwu4iVKC1sBIOq8uQXZNI+3FYCLdtiw4E
+ AXw4IstzF9GkAMazyOYZ1FZDEGAQQaMXke8G9uQwrk9pe0xpvKAd9kEMPnIo
+ Ds2g4oqSqj4vVZYqVedFSmg7NNZxFDM5heNJRRNqzYSGhIXpDlf8h2n4v/kZ
+ oRLEjAgXmg/MnI9FpoqRVnxqOB0ZBT0SI4/jZ8wiXJQRIxKy5asy+//yMx7n
+ Zv8B67aonVdznvsAAAAASUVORK5CYII=
+XSBC-Bugtracker: http://forum.nevercorner.net/
+XSBC-Maemo-Display-Name: Neverputt
 
 Package: neverputt-data
 Architecture: armel

## neverball 1.5.5-3

=== Makefile ===
--- 
+++ 
@@ -327,6 +327,7 @@
 ifeq ($(PLATFORM),maemo)
 BALL_OBJS += share/tilt_maemo.o
 BALL_OBJS += share/maemo.o
+PUTT_OBJS += share/maemo.o
 else
 BALL_OBJS += share/tilt_null.o
 endif

=== debian/changelog ===
neverball (1.5.5-3) unstable; urgency=low

  * Hide data packages from the application manager.
  * Keep the display on in neverputt.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed, 13 Jul 2011 13:25:47 +0300

=== debian/control ===
--- 
+++ 
@@ -75,6 +75,7 @@
 
 Package: neverball-data
 Architecture: armel
+Section: games
 Depends: neverball-common (= ${source:Version})
 Recommends: neverball
 Description: data files for Neverball
@@ -88,6 +89,7 @@
 
 Package: neverball-common
 Architecture: armel
+Section: games
 Description: data files for Neverball and Neverputt
  The engine of the floor-tilting game Neverball is also used by its spin-off,
  a miniature golf game known as Neverputt.
@@ -199,6 +201,7 @@
 
 Package: neverputt-data
 Architecture: armel
+Section: games
 Depends: neverball-common (= ${source:Version})
 Recommends: neverputt (>= 1.4.0+svn2527-1)
 Description: data files for Neverputt

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	# directory, and PhysicsFS currently fails if the directory doesn't exist
 	# (see #553174).
 	$(MAKE) $(MAKEFLAGS) \
-		DATADIR=/usr/share/games/neverball \
+		DATADIR=/opt/maemo/usr/share/games/neverball \
 		LOCALEDIR=/usr/share/locale \
 	        HOME=$(CURDIR)
 	# Rename icons for .desktop files.

## neverball 1.6.0

=== Makefile ===

#------------------------------------------------------------------------------

BUILD := $(shell head -n1 .build 2> /dev/null || echo release)

VERSION := 1.6.0
VERSION := $(shell sh scripts/version.sh "$(BUILD)" "$(VERSION)" \
	"share/version.in.h" "share/version.h" ".version")

$(info Will make a "$(BUILD)" build of Neverball $(VERSION).)

#------------------------------------------------------------------------------
# Provide a target system hint for the Makefile.
# Recognized PLATFORM values: darwin, mingw.

ifeq ($(shell uname), Darwin)
	PLATFORM := darwin
endif

#------------------------------------------------------------------------------
# Paths (packagers might want to set DATADIR and LOCALEDIR)

USERDIR   := .neverball
DATADIR   := ./data
LOCALEDIR := ./locale

ifeq ($(PLATFORM),mingw)
	USERDIR := Neverball
endif

ifneq ($(BUILD),release)
	USERDIR := $(USERDIR)-dev
endif

#------------------------------------------------------------------------------
# Optional flags (CFLAGS, CPPFLAGS, ...)

ifeq ($(DEBUG),1)
	CFLAGS   := -g
	CXXFLAGS := -g
	CPPFLAGS :=
else
	CFLAGS   := -O2
	CXXFLAGS := -O2
	CPPFLAGS := -DNDEBUG
endif

#------------------------------------------------------------------------------
# Mandatory flags

# Compiler...

ifeq ($(ENABLE_TILT),wii)
	# -std=c99 because we need isnormal and -fms-extensions because
	# libwiimote headers make heavy use of the "unnamed fields" GCC
	# extension.

	ALL_CFLAGS := -Wall -Wshadow -std=c99 -pedantic -fms-extensions $(CFLAGS)
else
	ALL_CFLAGS := -Wall -Wshadow -std=c99 -pedantic $(CFLAGS)
endif

ALL_CXXFLAGS := -fno-rtti -fno-exceptions $(CXXFLAGS)

# Preprocessor...

SDL_CPPFLAGS := $(shell sdl2-config --cflags)
PNG_CPPFLAGS := $(shell libpng-config --cflags)

ALL_CPPFLAGS := $(SDL_CPPFLAGS) $(PNG_CPPFLAGS) -Ishare

ALL_CPPFLAGS += \
	-DCONFIG_USER=\"$(USERDIR)\" \
	-DCONFIG_DATA=\"$(DATADIR)\" \
	-DCONFIG_LOCALE=\"$(LOCALEDIR)\"

ifeq ($(ENABLE_NLS),0)
	ALL_CPPFLAGS += -DENABLE_NLS=0
else
	ALL_CPPFLAGS += -DENABLE_NLS=1
endif

ifeq ($(ENABLE_HMD),openhmd)
	ALL_CPPFLAGS += -DENABLE_HMD=1
endif
ifeq ($(ENABLE_HMD),libovr)
	ALL_CPPFLAGS += -DENABLE_HMD=1
endif

ifeq ($(ENABLE_RADIANT_CONSOLE),1)
	ALL_CPPFLAGS += -DENABLE_RADIANT_CONSOLE=1
endif

ifeq ($(PLATFORM),darwin)
	ALL_CPPFLAGS += $(patsubst %, -I%, $(wildcard /opt/local/include \
	                                              /usr/local/include))
endif

ALL_CPPFLAGS += $(CPPFLAGS)

#------------------------------------------------------------------------------
# HMD handling is a complicated with 6 platform-backend combinations.

ifeq ($(ENABLE_HMD),openhmd)
	HMD_LIBS := -lopenhmd
endif

ifeq ($(ENABLE_HMD),libovr)
	HMD_LIBS     := -L/usr/local/OculusSDK/LibOVR/Lib/Linux/Release/x86_64 -lovr -ludev -lX11 -lXinerama
	HMD_CPPFLAGS := -I/usr/local/OculusSDK/LibOVR/Include

	ifeq ($(PLATFORM),mingw)
		HMD_LIBS     := -L/usr/local/OculusSDK/LibOVR/Lib/MinGW/Release/w32 -lovr -lsetupapi -lwinmm
		HMD_CPPFLAGS := -I/usr/local/OculusSDK/LibOVR/Include
	endif
	ifeq ($(PLATFORM),darwin)
		HMD_LIBS     := -L/usr/local/OculusSDK/LibOVR/Lib/MacOS/Release -lovr -framework IOKit -framework CoreFoundation -framework ApplicationServices
		HMD_CPPFLAGS := -I/usr/local/OculusSDK/LibOVR/Include
	endif
endif

ALL_CPPFLAGS += $(HMD_CPPFLAGS)

#------------------------------------------------------------------------------
# Libraries

SDL_LIBS := $(shell sdl2-config --libs)
PNG_LIBS := $(shell libpng-config --libs)

ifeq ($(ENABLE_FS),stdio)
FS_LIBS :=
else
FS_LIBS := -lphysfs
endif

# The  non-conditionalised values  below  are specific  to the  native
# system. The native system of this Makefile is Linux (or GNU+Linux if
# you prefer). Please be sure to  override ALL of them for each target
# system in the conditional parts below.

INTL_LIBS :=

ifeq ($(ENABLE_TILT),wii)
	TILT_LIBS := -lcwiimote -lbluetooth
else
ifeq ($(ENABLE_TILT),loop)
	TILT_LIBS := -lusb-1.0 -lfreespace
endif
endif

OGL_LIBS := -lGL

ifeq ($(PLATFORM),mingw)
	ifneq ($(ENABLE_NLS),0)
		INTL_LIBS := -lintl
	endif

	TILT_LIBS :=
	OGL_LIBS  := -lopengl32
endif

ifeq ($(PLATFORM),darwin)
	ifneq ($(ENABLE_NLS),0)
		INTL_LIBS := -lintl
	endif

	TILT_LIBS :=
	OGL_LIBS  := -framework OpenGL
endif

BASE_LIBS := -ljpeg $(PNG_LIBS) $(FS_LIBS) -lm

ifeq ($(PLATFORM),darwin)
	BASE_LIBS += $(patsubst %, -L%, $(wildcard /opt/local/lib \
	                                           /usr/local/lib))
endif

OGG_LIBS := -lvorbisfile
TTF_LIBS := -lSDL2_ttf

ALL_LIBS := $(HMD_LIBS) $(TILT_LIBS) $(INTL_LIBS) $(TTF_LIBS) \
	$(OGG_LIBS) $(SDL_LIBS) $(OGL_LIBS) $(BASE_LIBS)

MAPC_LIBS := $(BASE_LIBS)

ifeq ($(ENABLE_RADIANT_CONSOLE),1)
	MAPC_LIBS += -lSDL2_net
endif

#------------------------------------------------------------------------------

ifeq ($(PLATFORM),mingw)
	EXT := .exe
endif

MAPC_TARG := mapc$(EXT)
BALL_TARG := neverball$(EXT)
PUTT_TARG := neverputt$(EXT)

ifeq ($(PLATFORM),mingw)
	MAPC := $(WINE) ./$(MAPC_TARG)
else
	MAPC := ./$(MAPC_TARG)
endif

#------------------------------------------------------------------------------

MAPC_OBJS := \
	share/vec3.o        \
	share/base_image.o  \
	share/solid_base.o  \
	share/binary.o      \
	share/base_config.o \
	share/common.o      \
	share/fs_common.o   \
	share/fs_png.o      \
	share/fs_jpg.o      \
	share/dir.o         \
	share/array.o       \
	share/list.o        \
	share/mapc.o
BALL_OBJS := \
	share/lang.o        \
	share/st_common.o   \
	share/vec3.o        \
	share/base_image.o  \
	share/image.o       \
	share/solid_base.o  \
	share/solid_vary.o  \
	share/solid_draw.o  \
	share/solid_all.o   \
	share/mtrl.o        \
	share/part.o        \
	share/geom.o        \
	share/ball.o        \
	share/gui.o         \
	share/font.o        \
	share/theme.o       \
	share/base_config.o \
	share/config.o      \
	share/video.o       \
	share/glext.o       \
	share/binary.o      \
	share/state.o       \
	share/audio.o       \
	share/text.o        \
	share/common.o      \
	share/list.o        \
	share/queue.o       \
	share/cmd.o         \
	share/array.o       \
	share/dir.o         \
	share/fbo.o         \
	share/glsl.o        \
	share/fs_common.o   \
	share/fs_png.o      \
	share/fs_jpg.o      \
	share/fs_rwops.o    \
	share/fs_ov.o       \
	share/log.o         \
	ball/hud.o          \
	ball/game_common.o  \
	ball/game_client.o  \
	ball/game_server.o  \
	ball/game_proxy.o   \
	ball/game_draw.o    \
	ball/score.o        \
	ball/level.o        \
	ball/progress.o     \
	ball/set.o          \
	ball/demo.o         \
	ball/demo_dir.o     \
	ball/util.o         \
	ball/st_conf.o      \
	ball/st_demo.o      \
	ball/st_save.o      \
	ball/st_goal.o      \
	ball/st_fail.o      \
	ball/st_done.o      \
	ball/st_level.o     \
	ball/st_over.o      \
	ball/st_play.o      \
	ball/st_set.o       \
	ball/st_start.o     \
	ball/st_title.o     \
	ball/st_help.o      \
	ball/st_name.o      \
	ball/st_shared.o    \
	ball/st_pause.o     \
	ball/st_ball.o      \
	ball/main.o
PUTT_OBJS := \
	share/lang.o        \
	share/st_common.o   \
	share/vec3.o        \
	share/base_image.o  \
	share/image.o       \
	share/solid_base.o  \
	share/solid_vary.o  \
	share/solid_draw.o  \
	share/solid_all.o   \
	share/mtrl.o        \
	share/part.o        \
	share/geom.o        \
	share/ball.o        \
	share/base_config.o \
	share/config.o      \
	share/video.o       \
	share/glext.o       \
	share/binary.o      \
	share/audio.o       \
	share/state.o       \
	share/gui.o         \
	share/font.o        \
	share/theme.o       \
	share/text.o        \
	share/common.o      \
	share/list.o        \
	share/fs_common.o   \
	share/fs_png.o      \
	share/fs_jpg.o      \
	share/fs_rwops.o    \
	share/fs_ov.o       \
	share/dir.o         \
	share/fbo.o         \
	share/glsl.o        \
	share/array.o       \
	share/log.o         \
	putt/hud.o          \
	putt/game.o         \
	putt/hole.o         \
	putt/course.o       \
	putt/st_all.o       \
	putt/st_conf.o      \
	putt/main.o

BALL_OBJS += share/solid_sim_sol.o
PUTT_OBJS += share/solid_sim_sol.o

ifeq ($(ENABLE_FS),stdio)
BALL_OBJS += share/fs_stdio.o
PUTT_OBJS += share/fs_stdio.o
MAPC_OBJS += share/fs_stdio.o
else
BALL_OBJS += share/fs_physfs.o
PUTT_OBJS += share/fs_physfs.o
MAPC_OBJS += share/fs_physfs.o
endif

ifeq ($(ENABLE_TILT),wii)
BALL_OBJS += share/tilt_wii.o
else
ifeq ($(ENABLE_TILT),loop)
BALL_OBJS += share/tilt_loop.o
else
BALL_OBJS += share/tilt_null.o
endif
endif

ifeq ($(ENABLE_HMD),openhmd)
BALL_OBJS += share/hmd_openhmd.o share/hmd_common.o
PUTT_OBJS += share/hmd_openhmd.o share/hmd_common.o
else
ifeq ($(ENABLE_HMD),libovr)
BALL_OBJS += share/hmd_libovr.o share/hmd_common.o
PUTT_OBJS += share/hmd_libovr.o share/hmd_common.o
else
BALL_OBJS += share/hmd_null.o
PUTT_OBJS += share/hmd_null.o
endif
endif

ifeq ($(PLATFORM),mingw)
BALL_OBJS += neverball.ico.o
PUTT_OBJS += neverputt.ico.o
endif

BALL_DEPS := $(BALL_OBJS:.o=.d)
PUTT_DEPS := $(PUTT_OBJS:.o=.d)
MAPC_DEPS := $(MAPC_OBJS:.o=.d)

MAPS := $(shell find data -name "*.map" \! -name "*.autosave.map")
SOLS := $(MAPS:%.map=%.sol)

DESKTOPS := $(basename $(wildcard dist/*.desktop.in))

# The build environment defines this (or should).
# This is a fallback that likely only works on a Windows host.
WINDRES ?= windres

#------------------------------------------------------------------------------

%.o : %.c
	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) -MM -MP -MF $*.d -MT "$@" $<
	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) -o $@ -c $<

%.o : %.cpp
	$(CXX) $(ALL_CXXFLAGS) $(ALL_CPPFLAGS) -MM -MP -MF $*.d -MT "$@" $<
	$(CXX) $(ALL_CXXFLAGS) $(ALL_CPPFLAGS) -o $@ -c $<

%.sol : %.map $(MAPC_TARG)
	$(MAPC) $< data

%.desktop : %.desktop.in
	sh scripts/translate-desktop.sh < $< > $@

%.ico.o: dist/ico/%.ico
	echo "1 ICON \"$<\"" | $(WINDRES) -o $@

#------------------------------------------------------------------------------

all : $(BALL_TARG) $(PUTT_TARG) $(MAPC_TARG) sols locales desktops

ifeq ($(ENABLE_HMD),libovr)
LINK := $(CXX) $(ALL_CXXFLAGS)
else
LINK := $(CC) $(ALL_CFLAGS)
endif

$(BALL_TARG) : $(BALL_OBJS)
	$(LINK) -o $(BALL_TARG) $(BALL_OBJS) $(LDFLAGS) $(ALL_LIBS)

$(PUTT_TARG) : $(PUTT_OBJS)
	$(LINK) -o $(PUTT_TARG) $(PUTT_OBJS) $(LDFLAGS) $(ALL_LIBS)

$(MAPC_TARG) : $(MAPC_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(MAPC_TARG) $(MAPC_OBJS) $(LDFLAGS) $(MAPC_LIBS)

# Work around some extremely helpful sdl-config scripts.

ifeq ($(PLATFORM),mingw)
$(MAPC_TARG) : ALL_CPPFLAGS := $(ALL_CPPFLAGS) -Umain
endif

sols : $(SOLS)

locales :
ifneq ($(ENABLE_NLS),0)
	$(MAKE) -C po
endif

desktops : $(DESKTOPS)

clean-src :
	$(RM) $(BALL_TARG) $(PUTT_TARG) $(MAPC_TARG)
	find . \( -name '*.o' -o -name '*.d' \) -delete

clean : clean-src
	$(RM) $(SOLS)
	$(RM) $(DESKTOPS)
	$(MAKE) -C po clean

test : all
	./neverball

TAGS :
	$(RM) $@
	find . -name '*.[ch]' | xargs etags -a

#------------------------------------------------------------------------------

.PHONY : all sols locales clean-src clean test TAGS

-include $(BALL_DEPS) $(PUTT_DEPS) $(MAPC_DEPS)

#------------------------------------------------------------------------------

ifeq ($(PLATFORM),mingw)

#------------------------------------------------------------------------------

INSTALLER := ../neverball-$(VERSION)-setup.exe

MAKENSIS := makensis
MAKENSIS_FLAGS := -DVERSION=$(VERSION) -DOUTFILE=$(INSTALLER)

TODOS   := todos
FROMDOS := fromdos

CP := cp

TEXT_DOCS := \
	doc/AUTHORS \
	doc/MANUAL  \
	CHANGES     \
	COPYING     \
	README

TXT_DOCS := $(TEXT_DOCS:%=%.txt)

#------------------------------------------------------------------------------

.PHONY: setup
setup: $(INSTALLER)

$(INSTALLER): install-dlls convert-text-files all contrib
	$(MAKENSIS) $(MAKENSIS_FLAGS) -nocd scripts/neverball.nsi

$(INSTALLER): LDFLAGS := -s $(LDFLAGS)

.PHONY: clean-setup
clean-setup: clean
	$(RM) install-dlls.sh *.dll $(TXT_DOCS)
	find data -name "*.txt" -exec $(FROMDOS) {} \;
	$(MAKE) -C contrib EXT=$(EXT) clean

#------------------------------------------------------------------------------

=== contrib/Makefile ===
CFLAGS := -Wall -g -ansi -pedantic

CURVE_TARG := curve$(EXT)
CURVE_SRCS := curve.c
CURVE_OBJS := $(CURVE_SRCS:%.c=%.o)

all: $(CURVE_TARG)

$(CURVE_TARG): $(CURVE_OBJS)
	$(CC) $(CFLAGS) -o $@ $(CURVE_OBJS) -lm

clean:
	$(RM) $(CURVE_TARG) $(CURVE_OBJS)

=== debian/changelog ===
neverball (1.6.0-8) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers.
    Thanks to Helmut Grohne for the report and patch. (Closes: #852736)
  * Remove Jordà Polo and Tamas SZERB from Uploaders. They are not active
    anymore. (Closes: #852168)
  * Drop deprecated menu files and xpm icons.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Jun 2017 16:01:54 +0200

neverball (1.6.0-7) unstable; urgency=medium

  * debian/rules: Use correct ENABLE_HMD option.

 -- Markus Koschany <apo@debian.org>  Wed, 14 Dec 2016 09:39:32 +0100

neverball (1.6.0-6) unstable; urgency=medium

  * Upload to unstable.
  * Disable openhmd on hurd-i386, sh4 and powerpcspe and make the game compile
    again.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Dec 2016 23:41:11 +0100

neverball (1.6.0-5) experimental; urgency=medium

  * Enable Oculus Rift support and build-depend on libopenhmd-dev.
    (Closes: #845657)
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Dec 2016 00:43:38 +0100

neverball (1.6.0-4) unstable; urgency=medium

  * Update my e-mail address.
  * Vcs-fields: Use cgit and https.
  * Drop neverball-dbg because the automatic -dbgsym package replaced it.
  * Mark -data packages as Multi-Arch: foreign.
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Tue, 09 Aug 2016 00:14:13 +0200

neverball (1.6.0-3) unstable; urgency=medium

  * debian/copyright: Clarify Octocat logo permissions. (Closes: #757621)

 -- Markus Koschany <apo@gambaru.de>  Tue, 12 Aug 2014 20:11:19 +0200

neverball (1.6.0-2) unstable; urgency=medium

  * Enable mouse grab in window mode again and make the cursor invisible in
    fullscreen mode. Append -DNDEBUG to CPPFLAGS to achieve this. Thanks to
    Filipus Klutiero for the report. (Closes: #755760)

 -- Markus Koschany <apo@gambaru.de>  Thu, 24 Jul 2014 10:24:21 +0200

neverball (1.6.0-1) unstable; urgency=medium

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Imported Upstream version 1.6.0.
  * Declare compliance with Debian Policy 3.9.5.
  * Add myself to Uploaders.
  * Switch from SVN to Git. Change Vcs-fields accordingly.
  * debian/control:
    - Switch to SDL2. Fixes primary click does not start level with a
      left-handed mouse. (Closes: #700475)
    - neverball-common: Suggest fonts-wqy-microhei instead of
      ttf-wqy-zenhei.
  * Drop the following patches. These bugs were fixed upstream.
    - fix-build-gold-linker.patch
    - reset-video-mode.patch
  * Refresh separate-data-and-bin.patch and update-french-po-file.patch.
  * Add keywords.patch.
    - Add keywords to desktop file.
  * Update DEP3 headers for all patches. Forward patches to Neverball project
    at github.
  * debian/rules:
    - Remove HOME variable to workaround #544835. HOME does no longer exist.
    - Remove override for dh_auto_install.
  * Use clean file instead of dh_auto_clean override.
  * Update all install files for new release.
  * Update docs files.
  * Install doc/changes.txt as upstream changelog.
  * Install release-notes.md with docs files.
  * Install hires icons to /usr/share/icons/hicolor/128x128/apps.
  * wrap-and-sort -sa.
  * Update neverball-common.links. Change wqy-zenhei.ttc to wqy-microhei.ttc.
  * Update copyright years. Add GPL-3+-with-font-exception and DejaVu license.
  * neverball-common: Fix symlink to DejaVuSans.ttf and point to the new
    package fonts-devjavu-core.

 -- Markus Koschany <apo@gambaru.de>  Tue, 15 Jul 2014 23:17:35 +0200

=== debian/control ===
Source: neverball
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 10),
 libjpeg-dev,
 libopenhmd-dev [!hurd-i386 !sh4 !powerpcspe],
 libphysfs-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-ttf-dev,
 libvorbis-dev
Standards-Version: 4.0.0
Homepage: http://neverball.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/neverball.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/neverball.git

Package: neverball
Architecture: any
Depends:
 neverball-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 neverputt
Description: 3D floor-tilting game
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.

Package: neverball-data
Architecture: all
Multi-Arch: foreign
Depends:
 neverball-common (= ${source:Version}),
 ${misc:Depends}
Suggests:
 neverball
Description: data files for Neverball
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the data files needed to play Neverball.

Package: neverball-common
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-dejavu-core,
 ${misc:Depends}
Suggests:
 fonts-wqy-microhei
Description: data files for Neverball and Neverputt
 The engine of the floor-tilting game Neverball is also used by its spin-off,
 a miniature golf game known as Neverputt.
 .
 This package contains the data files shared between Neverball and Neverputt.

Package: neverputt
Architecture: any
Depends:
 neverputt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 neverball
Description: 3D miniature golf game
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.

Package: neverputt-data
Architecture: all
Multi-Arch: foreign
Depends:
 neverball-common (= ${source:Version}),
 ${misc:Depends}
Suggests:
 neverputt
Description: data files for Neverputt
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.
 .
 This package contains the data files needed to play Neverputt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
# Disable debug mode. Enable mouse grab in window mode again. See #755760
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
NOT_OPENHMD := hurd-i386 sh4 powerpcspe
ifneq (,$(findstring $(DEB_HOST_ARCH),$(NOT_OPENHMD)))
		OPENHMD := no
else
		OPENHMD := openhmd
endif


%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure) \
		DATADIR=/usr/share/games/neverball \
		LOCALEDIR=/usr/share/locale \
		ENABLE_HMD=$(OPENHMD) \
		executables
	# Rename icons for .desktop files.
	cp $(CURDIR)/dist/neverball_128.png $(CURDIR)/dist/neverball.png
	cp $(CURDIR)/dist/neverputt_128.png $(CURDIR)/dist/neverputt.png

override_dh_auto_build-indep:
	$(MAKE) \
		DATADIR=/usr/share/games/neverball \
		LOCALEDIR=/usr/share/locale \
		data

override_dh_auto_test:
	# Tests don't work. Do nothing here to prevent a FTBFS.

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.txt
